Debian Bug report logs - #451647
wacom-tools: malcomposed copyright file -- missing actual copyrights

version graph

Package: wacom-tools; Maintainer for wacom-tools is (unknown);

Reported by: Yaroslav Halchenko <debian@onerussian.com>

Date: Sat, 17 Nov 2007 17:36:06 UTC

Severity: serious

Found in version wacom-tools/0.7.7.11-1

Fixed in version wacom-tools/0.7.9.3-1

Done: Ron Lee <ron@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#451647; Package wacom-tools. Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
New Bug report received and forwarded. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wacom-tools: malcomposed copyright file -- missing actual copyrights
Date: Sat, 17 Nov 2007 12:32:28 -0500
Package: wacom-tools
Version: 0.7.7.11-1
Severity: normal


Hi

I guess it could be of higher level since it violates a must in the
policy, but... 

Please refactor copyright file so it properly lists copyright holder(s),
brief text of license, what version, and for

Some files in the linuxwacom distribution are now covered by the LGPL,
the individual files are marked accordingly.

list those files accordingly

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (600, 'unstable'), (50, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#451647; Package wacom-tools. Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #10 received at 451647@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Yaroslav Halchenko <debian@onerussian.com>, 451647@bugs.debian.org
Subject: Re: Bug#451647: wacom-tools: malcomposed copyright file -- missing actual copyrights
Date: Sun, 18 Nov 2007 07:43:31 +1030
On Sat, Nov 17, 2007 at 12:32:28PM -0500, Yaroslav Halchenko wrote:
> I guess it could be of higher level since it violates a must in the
> policy, but... 

Or maybe it is not a bug at all ...  Probably you should start by
pointing out exactly which MUST in policy you think is not covered
here.

> Please refactor copyright file so it properly lists copyright holder(s),

The upstream group we pull from is listed, there is no single copyright
holder.  I'm not aware of any requirement to explicitly re-list everyone
where there are many copyright stakeholders in many files.

> brief text of license,

They are common-licenses, we do what policy says we SHOULD.

> what version,

GPL without a version has a well defined meaning also.

> Some files in the linuxwacom distribution are now covered by the LGPL,
> the individual files are marked accordingly.
> 
> list those files accordingly

Why?  Who will that help?  None of these files are presently intended to
be linked to any user application, so from a binary package user point of
view it actually makes very little or no difference whether files are GPL
or LGPL.  If you are actually going to be hacking on the code, you'll find
the relevant detail in the files that you modify and link to.

I don't see much benefit to duplication that can only go out of date and
become misleading.  All the licences that apply to files in the package
are listed.  If you need finer grain information than that, it too is
available in a way most people would expect to find it.

If you want to submit a patch suggesting actual changes I'll certainly
consider it, but otherwise I don't really see much here that constitutes
an actionable bug ...

 Ron






Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#451647; Package wacom-tools. Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #15 received at 451647@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Ron <ron@debian.org>
Cc: 451647@bugs.debian.org
Subject: Re: Bug#451647: wacom-tools: malcomposed copyright file -- missing actual copyrights
Date: Sat, 17 Nov 2007 16:45:53 -0500
> On Sat, Nov 17, 2007 at 12:32:28PM -0500, Yaroslav Halchenko wrote:
> > I guess it could be of higher level since it violates a must in the
> > policy, but... 
> Or maybe it is not a bug at all ...  Probably you should start by
> pointing out exactly which MUST in policy you think is not covered
> here.
you must be kidding... first of all it is plain wrong:

Copyright:  GPL

GPL is not a copyright, it is a license under which a copyright holder
(which is not announced in copyright file at all) allows others to use
the software (http://en.wikipedia.org/wiki/Copyright).

GPL license is copyleft license - so there must be a copyright holder,
otherwise it is plain not-a-valid-license at all.

> > Please refactor copyright file so it properly lists copyright holder(s),

> The upstream group we pull from is listed, there is no single copyright
> holder. 
if there is no single -- they all have to be listed. And 
grep -i -r Copyright .
in the source gives me lots of them even if I omit autotools scripts

> I'm not aware of any requirement to explicitly re-list everyone
> where there are many copyright stakeholders in many files.
policy:

,--------------------------------------------------------------------------
| 4.5 Copyright: debian/copyright
|
| Every package must be accompanied by a verbatim copy of its copyright
| and distribution license in the file /usr/share/doc/package/copyright
| (see Copyright information, Section 12.5 for further details). Also see
| Copyright considerations, Section 2.3 for further considerations relayed
| to copyrights for packages.
|
| 12.5 Copyright information
|
| Every package must be accompanied by a verbatim copy of its copyright
| and distribution license in the file /usr/share/doc/package/copyright.
| This file must neither be compressed nor be a symbolic link.
|
`---

and you don't list *any* copyright holder

just look into copyright of other packages (pretty much any serious
package like openssh-server, apache, etc)

> > brief text of license,
> They are common-licenses, we do what policy says we SHOULD.
indeed, I had some misunderstanding in my mind -- mixed up what had to
be there and what is considered to be of a good manner to the there ;-)
indeed, it seems just reference might be enough.

> > what version,
> GPL without a version has a well defined meaning also.
yeah -- my bad

> > Some files in the linuxwacom distribution are now covered by the LGPL,
> > the individual files are marked accordingly.
> > list those files accordingly
> Why?  Who will that help?  None of these files are presently intended to
> be linked to any user application, so from a binary package user point of
> view it actually makes very little or no difference whether files are GPL
> or LGPL.  If you are actually going to be hacking on the code, you'll find
> the relevant detail in the files that you modify and link to.
well -- why the heck to have copyright file then at all? just add a
field in control and list a license...
copyright file is intended to list copyright/licensing terms for shipped
material so if I need to know them I don't have to go through the code
figuring out what I could and what I couldn't link against in my
software

> I don't see much benefit to duplication that can only go out of date and
> become misleading.
well.. not exactly -- it might be only helpful -- if license terms were
changed at some version (recall xserver/X.org split), having them
mentioned in the copyright only be of help if someone decides to go with
older license terms by taking older version

> available in a way most people would expect to find it.
on debian systems we are expected to find them in copyright files and
once again that is what policy says (see citing above)

> If you want to submit a patch suggesting actual changes I'll certainly
> consider it, but otherwise I don't really see much here that constitutes
> an actionable bug ...

Copyright: GPL

is a bug on its own ;-)

-- 
Yaroslav Halchenko
Research Assistant, Psychology Department, Rutgers-Newark
Student  Ph.D. @ CS Dept. NJIT
Office: (973) 353-5440x263 | FWD: 82823 | Fax: (973) 353-1171
        101 Warren Str, Smith Hall, Rm 4-105, Newark NJ 07102
WWW:     http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#451647; Package wacom-tools. Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #20 received at 451647@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Yaroslav Halchenko <debian@onerussian.com>, 451647@bugs.debian.org
Subject: Re: Bug#451647: wacom-tools: malcomposed copyright file -- missing actual copyrights
Date: Sun, 18 Nov 2007 13:03:06 +1030
On Sat, Nov 17, 2007 at 04:45:53PM -0500, Yaroslav Halchenko wrote:
> > On Sat, Nov 17, 2007 at 12:32:28PM -0500, Yaroslav Halchenko wrote:
> > > I guess it could be of higher level since it violates a must in the
> > > policy, but... 
> > Or maybe it is not a bug at all ...  Probably you should start by
> > pointing out exactly which MUST in policy you think is not covered
> > here.
> you must be kidding... first of all it is plain wrong:

No I'm not kidding, and you still haven't shown a MUST that has been
violated, just some stylistic bloopers in the text.

> Copyright:  GPL
> 
> GPL is not a copyright, it is a license

Yeah, I don't exactly recall how that line got to look like that,
but its hardly like anyone who actually knows what they are looking
for in a copyright file is going to be terribly confused by that,
and ftp-admin apparently weren't.  s/Copyright:/Licence:/ is a simple
typo fix though, and hardly against the spirit, or even perhaps the
letter of -policy.  I don't think we have an official brown paper
bag policy for things like that yet.

> > > Please refactor copyright file so it properly lists copyright holder(s),
> 
> > The upstream group we pull from is listed, there is no single copyright
> > holder. 
> if there is no single -- they all have to be listed.

Where does policy say that?

> grep -i -r Copyright .
> in the source gives me lots of them even if I omit autotools scripts

And if so, where does it say that it is ok to omit autotools scripts?
That's going to be one hell of a mass bug filing if we suddenly
decide to enforce that.

> > I'm not aware of any requirement to explicitly re-list everyone
> > where there are many copyright stakeholders in many files.
> policy:

<snipped> I do have a copy, please point to the precise clauses
you are referring to in each case you are arguing non-compliance.

> and you don't list *any* copyright holder

It refers to the group responsible for the source.  Who themselves
only say: "There are a number of authors - just check the ChangeLog."
with respect to copyright holders.

> just look into copyright of other packages (pretty much any serious
> package like openssh-server, apache, etc)

Ok, how about this one:

  Linux is copyrighted by Linus Torvalds and others.

Even without any autotools scripts to worry about, I'd say that's just
a few names short of 'listing them all', and possibly doesn't even cover
the copyright of so much as half the code ...

And what do we have here in the same file, but:

  The Xen patch was obtained from:
   http://hg.et.redhat.com/kernel/linux-2.6.18-xen

Which looks awfully similar to:

 ... downloaded from http://linuxwacom.sf.net

And seems to be satisfactory indication to people who reviewed that
copyright file also.  Policy would seem to back this up:

12.5  ... the copyright file MUST say where the upstream sources (if any)
      were obtained. It SHOULD name the original authors of the package

CAPS are mine, but clearly the MUST here is covered and the SHOULD seems
to make reasonable allowance for just such a case as we have here.

> > > brief text of license,
> > They are common-licenses, we do what policy says we SHOULD.
> indeed, I had some misunderstanding in my mind -- mixed up what had to
> be there and what is considered to be of a good manner to the there ;-)
> indeed, it seems just reference might be enough.

Just the reference is explicitly recommended.  If you think that is
bad manner you should talk to the policy maintainers about that one.

> > > Some files in the linuxwacom distribution are now covered by the LGPL,
> > > the individual files are marked accordingly.
> > > list those files accordingly
> > Why?  Who will that help?  None of these files are presently intended to
> > be linked to any user application, so from a binary package user point of
> > view it actually makes very little or no difference whether files are GPL
> > or LGPL.  If you are actually going to be hacking on the code, you'll find
> > the relevant detail in the files that you modify and link to.
> well -- why the heck to have copyright file then at all? just add a
> field in control and list a license...

Actually I think something not totally unlike that is proposed for having
machine parseable copyright files.

> copyright file is intended to list copyright/licensing terms for shipped
> material so if I need to know them I don't have to go through the code
> figuring out what I could and what I couldn't link against in my
> software

The answer here has a simple short-circuit as I said before, mostly you
can't link _any_ of this with your own software, it's just not that kind
of software.  You install and use it, not derive from it.

If you are deriving from this you are in a totally different category to
someone using a library package intended for that purpose.

If there was some real confusion here, then sure we can fix it, but so
far all I see is a hypothetical fish out of water.  If the kernel code
is GPL, it is still GPL even if it happens to have a public domain or
BSD source file linked into it.  That is the only distinction that
users of the binary have to practically care about.  If you are going
to rip lines out of the code, or derive something else from it, then
maybe the other licences are relevant again, but only in isolation,
not as combined work.  And there is almost no way the Debian copyright
file alone can tell you everything you need to be sure that sort of
thing is ok, you are going to have to dig deeper anyhow.

Here all you have is some driver code that is GPL and some tools that
are LGPL -- what does the copyright file not tell you that could
possibly affect the way you use the things from this package?

> > I don't see much benefit to duplication that can only go out of date and
> > become misleading.
> well.. not exactly -- it might be only helpful -- if license terms were
> changed at some version (recall xserver/X.org split), having them
> mentioned in the copyright only be of help if someone decides to go with
> older license terms by taking older version

What is said in the copyright file isn't going to help you here either.
Either it accurately reflects the actual licence(s) or not.  If someone
changes the licence you are still going to have to get a version from
before the change to the files you want.

In this case, we have many authors over a long period of time, and
constraints from things like the kernel, so we probably don't have
to worry too much about it in terms of licence change madness.
It's really just new files that are added and old files that are
removed which will gradually tend to rot any such list maintained
separately.  Right now, we just need to make sure they are all still
GPL or LGPL.

> > If you need finer grain information than that, it too is
> > available in a way most people would expect to find it.
> on debian systems we are expected to find them in copyright files and
> once again that is what policy says (see citing above)

Where does policy say that?

I only see mention of the copyright and distribution terms for
the package (as a whole).  If individual components are licenced
differently and might reasonably be used separately under different
terms, then there is clearly value in elaborating that -- but that
doesn't really seem to apply here.  Both LGPL and GPL say you can
_use_ it however you please.  Can you point me to a single derived
work of this package that would be affected by the differences in
their distribution terms?

If policy was to imply what you suggest there would be another
mass bug filing again.  The kernel copyright file for starters
would be short maybe as many 'sublicences' as it is short
copyright holders...  but all of them are effectively GPL in
the combined work and that is what debian/copyright tells users.
Which seems about right to me.

> > If you want to submit a patch suggesting actual changes I'll certainly
> > consider it, but otherwise I don't really see much here that constitutes
> > an actionable bug ...
> 
> Copyright: GPL
> 
> is a bug on its own ;-)

As I said, I don't really see much... ;)  And nothing that looks like
a clear policy violation.  If there is real confusion, that is always
good to get rid of, but I don't see much scope for it here really either.
I don't see that you've actually been misled by anything you've seen ...

  Ron






Severity set to `serious' from `normal' Request was from Jeff Licquia <jeff@licquia.org> to control@bugs.debian.org. (Sun, 18 Nov 2007 07:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#451647; Package wacom-tools. Full text and rfc822 format available.

Acknowledgement sent to Jeff Licquia <jeff@licquia.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #27 received at 451647@bugs.debian.org (full text, mbox):

From: Jeff Licquia <jeff@licquia.org>
To: debian-legal@lists.debian.org
Cc: 451647@bugs.debian.org, control@bugs.debian.org
Subject: Re: debian/copyright and actual copyrights
Date: Sun, 18 Nov 2007 02:01:05 -0500
severity 451647 serious
thanks

Yaroslav Halchenko wrote:
> Today I've filed a bugreport http://bugs.debian.org/451647 against
> wacom-tools package. Its copyright file imho violates the policy (I
> think I can cite it here since it is quite "concise")
> ,---
> | This package was created by Ron Lee <ron@debian.org> on
> | Thu,  4 Nov 2004 16:06:55 -0800.
> |
> | Parts of it were downloaded from http://linuxwacom.sf.net
> |
> | Copyright:  GPL
> |
> | Some files in the linuxwacom distribution are now covered by the LGPL,
> | the individual files are marked accordingly.
> |
> | A copy of the GPL and LGPL can be found in /usr/share/common-licenses
> | on Debian systems.
> `---

The only named person in the copyright file is Ron Lee, and the only 
upstream acknowledgment is that *some* of the code was downloaded from 
someplace on SourceForge.

By contrast, the package source (and upstream source) contains an 
AUTHORS file which gives credit to a number of named persons, one of 
whom is named the "current maintainer", and none of whom are Ron Lee.

This is rude at the very least; by implication, the only person worth 
mentioning who's contributed anything to this package is Ron Lee.  If 
what I hear about "moral rights" outside the USA is true, it may even 
rise to the level of illegality to incorrectly infer such a prominent 
status for oneself and such a minor place for others.

Indeed, he is scrupulous when adding his own name to files he has 
modified; see linuxwacom/src/2.6.10/wacom.c.  But beyond this file, and 
a few build system files (Makefile.am, configure.in, and the like), all 
of Ron Lee's contributions to this package are contained in the debian 
directory of the package, as far as I can tell.

Compare this to Ping Cheng, who is mentioned as the current (upstream) 
maintainer, and whose name appears on all but four of the 70-odd commits 
to the ChangeLog file in upstream CVS, as well as on a great number of 
the source files.  If anyone's name deserves to be in the copyright 
file, it would seem to be his.

I am not sure why the clear statement in the AUTHORS file cannot be 
reproduced in the copyright file; it would seem, at the very least, to 
be as complete as upstream itself deems necessary.

And I have not even started on some of the other errors: the 
half-acknowledged error that "Copyright" should refer to the owners of 
the code, and "License" to the license granted by the owners; the fact 
that the GPL requires "an appropriate copyright notice and disclaimer of 
warranty", which is missing from the file; the fact that no 
identification was done of the "parts of" the code not downloaded from 
SourceForge, or the ownership or licenses of those parts; the 
misrepresentation of the license as "GPL" (without version) when the 
version is very clearly identified; etc.

And I am troubled by the push-back.  If this were a bug report on my 
package, even if I felt I had honored the copyright owners enough, I 
would probably just make the changes and be done with it.  Why is this 
controversial?  What is wrong with the idea of being more clear about 
the copyright?  What harm does it do to expand on the file?

Certainly Ron Lee has put more work into defending the incompleteness of 
his copyright statement than it would have taken to fix it.





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#451647; Package wacom-tools. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #32 received at 451647@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Jeff Licquia <jeff@licquia.org>, 451647@bugs.debian.org
Cc: debian-legal@lists.debian.org, control@bugs.debian.org
Subject: Re: Bug#451647: debian/copyright and actual copyrights
Date: Sun, 18 Nov 2007 09:28:28 +0100
[Message part 1 (text/plain, inline)]
On Sun, Nov 18, 2007 at 07:01:05AM +0000, Jeff Licquia wrote:
> severity 451647 serious
> thanks
> 
> Yaroslav Halchenko wrote:
> >Today I've filed a bugreport http://bugs.debian.org/451647 against
> >wacom-tools package. Its copyright file imho violates the policy (I
> >think I can cite it here since it is quite "concise")
> >,---
> >| This package was created by Ron Lee <ron@debian.org> on
> >| Thu,  4 Nov 2004 16:06:55 -0800.
> >|
> >| Parts of it were downloaded from http://linuxwacom.sf.net
> >|
> >| Copyright:  GPL
> >|
> >| Some files in the linuxwacom distribution are now covered by the LGPL,
> >| the individual files are marked accordingly.
> >|
> >| A copy of the GPL and LGPL can be found in /usr/share/common-licenses
> >| on Debian systems.
> >`---

> This is rude at the very least; by implication, the only person worth 
> mentioning who's contributed anything to this package is Ron Lee.  If 
> what I hear about "moral rights" outside the USA is true, it may even 
> rise to the level of illegality to incorrectly infer such a prominent 
> status for oneself and such a minor place for others.

  You are mixing things that aren't on the same level. The _packaging_
has been created by Ron Lee indeed, meaning that what is under debian/
is his. Nowhere it claims he wrote any of the package upstream. If you
believe you read something like that, read again. And again, because
you're wrong.

  OTOH this debian/copyright is clearly deficient in many ways, but stop
accusing him of bad faith, you're just out of your mind.

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#451647; Package wacom-tools. Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #37 received at 451647@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Jeff Licquia <jeff@licquia.org>, 451647@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#451647: debian/copyright and actual copyrights
Date: Mon, 19 Nov 2007 04:09:06 +1030
On Sun, Nov 18, 2007 at 09:28:28AM +0100, Pierre Habouzit wrote:
>   OTOH this debian/copyright is clearly deficient in many ways, but stop
> accusing him of bad faith, you're just out of your mind.

Thanks Pierre, you've just saved us all from my response to jeff's
wild slander from the hip.

There are two issues here, the important one being -policy compliance,
the other stylistic.  Since the bug was raised to red-alert-panic severity
without pointing to a single clear policy violation, I'll ask again for
the sake of our new audience, before I summarily close it by way of reply:

Can someone show me any single MUST in policy that is violated by this
debian/copyright file?  Bonus points if you can get them all first time.

Because by my reading, there apparently aren't any.

I don't extrapolate from that to say this is a masterpiece of best
practice, because its actually clearly one of the most appalling
copyright files I've ever seen.  Kid's don't clone this at home.
I mean it.  This is the kind of boilerplate abuse your parents and
friends warned you about.  (even if it is better than some of the
ones Ganneff has to sort through -- that's nothing to brag about)

I can make my excuses for that separately[1], but our law here is
-policy, and if I, the boilerplate maker, ftp-admin, and any number
of other developers have not spotted a violation of it in all the
many years this has looked the way it does -- then we have a quite
different serious bug on our hands we should know more about.

I don't think that is the case though, I do agree this file needs
the same sort of treatment the Smith inquisition recently gave the
rest of the package text, and that will be done, but its probably
not a job for -legal, and clearly not 'serious' in the BTS sense.

Cheers,
Ron


[1] - Ok then, you asked for it:

 This package started out (intended) as an uncertain mash-up of
 various tablet related things from various sources.  Right now
 it really is mostly just the linuxwacom driver, and I'm mostly
 hacking on it vicariously at present since the kernel driver is
 sound, and other folks are the XOrg experts where the trouble is.
 The copyright file apparently hasn't been polished since then
 and just contains the minimum required to cover the things that
 were going in there (and some fairly stupid typos).  It makes
 sense to buff it up a bit now that things have a fairly stable
 form established.  All the original attributions and licences
 are kept with the relevant source, this is just the cover page
 in the binary, and since it clearly has almost no additional
 information than the minimum required of it, I'd expect any
 wise user would not try to infer any such things from that
 nothingness and quickly look elsewhere for them instead.





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#451647; Package wacom-tools. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #42 received at 451647@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Ron <ron@debian.org>, 451647@bugs.debian.org
Cc: Jeff Licquia <jeff@licquia.org>, debian-legal@lists.debian.org
Subject: Re: Bug#451647: debian/copyright and actual copyrights
Date: Sun, 18 Nov 2007 19:24:03 +0100
[Message part 1 (text/plain, inline)]
On Sun, Nov 18, 2007 at 05:39:06PM +0000, Ron wrote:
> On Sun, Nov 18, 2007 at 09:28:28AM +0100, Pierre Habouzit wrote:
> >   OTOH this debian/copyright is clearly deficient in many ways, but stop
> > accusing him of bad faith, you're just out of your mind.
> 
> Thanks Pierre, you've just saved us all from my response to jeff's
> wild slander from the hip.
> 
> There are two issues here, the important one being -policy compliance,
> the other stylistic.  Since the bug was raised to red-alert-panic severity
> without pointing to a single clear policy violation, I'll ask again for
> the sake of our new audience, before I summarily close it by way of reply:
> 
> Can someone show me any single MUST in policy that is violated by this
> debian/copyright file?  Bonus points if you can get them all first time.

  yes it's a must. see
http://lists.debian.org/debian-devel-announce/2003/12/msg00007.html
http://lists.debian.org/debian-legal/2003/12/msg00194.html

  You have to list every copyright holder and copyright statements for
any files. It's painful, but it's the rules. Though feel free to discuss
the why and how on -devel@ :)

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#451647; Package wacom-tools. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #47 received at 451647@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Ron <ron@debian.org>
Cc: Jeff Licquia <jeff@licquia.org>, 451647@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#451647: debian/copyright and actual copyrights
Date: Sun, 18 Nov 2007 10:38:14 -0800
On Mon, Nov 19, 2007 at 04:09:06AM +1030, Ron wrote:
> On Sun, Nov 18, 2007 at 09:28:28AM +0100, Pierre Habouzit wrote:
> >   OTOH this debian/copyright is clearly deficient in many ways, but stop
> > accusing him of bad faith, you're just out of your mind.

> Thanks Pierre, you've just saved us all from my response to jeff's
> wild slander from the hip.

> There are two issues here, the important one being -policy compliance,
> the other stylistic.  Since the bug was raised to red-alert-panic severity
> without pointing to a single clear policy violation, I'll ask again for
> the sake of our new audience, before I summarily close it by way of reply:

> Can someone show me any single MUST in policy that is violated by this
> debian/copyright file?  Bonus points if you can get them all first time.

4.5. Copyright: `debian/copyright'
----------------------------------

     Every package must be accompanied by a verbatim copy of its copyright
     and distribution license in the file
     `/usr/share/doc/<package>/copyright' (see Section 12.5, `Copyright
     information' for further details).  Also see Section 2.3, `Copyright
     considerations' for further considerations relayed to copyrights for
     packages.

"Copyright: GPL" is wrong.  GPL is the license; the debian/copyright file
needs to list the copyright, which is a statement of the copyright *holder*
and the year it was written.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#451647; Package wacom-tools. Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #52 received at 451647@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: 451647@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#451647: debian/copyright and actual copyrights
Date: Mon, 19 Nov 2007 07:31:23 +1030
On Sun, Nov 18, 2007 at 10:38:14AM -0800, Steve Langasek wrote:
> "Copyright: GPL" is wrong.  GPL is the license;

Yeah, I already pled no-contest to that brain fart.

> the debian/copyright file needs to list the copyright,
> which is a statement of the copyright *holder* and the
> year it was written.

Looks like linuxwacom upstream itself doesn't have a COPYING
file as such, but the source files all have the standard GNU
"This program is ..." boilerplate which we can quote.

This package is fubar serious broken anyhow until upstream fixes
the xserver prang, but I'll tidy this up the for the next upload.

Cheers,
Ron






Tags added: pending Request was from Ron <ron@debian.org> to control@bugs.debian.org. (Sun, 25 Nov 2007 10:33:03 GMT) Full text and rfc822 format available.

Reply sent to Ron Lee <ron@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Yaroslav Halchenko <debian@onerussian.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #59 received at 451647-close@bugs.debian.org (full text, mbox):

From: Ron Lee <ron@debian.org>
To: 451647-close@bugs.debian.org
Subject: Bug#451647: fixed in wacom-tools 0.7.9.3-1
Date: Sat, 01 Dec 2007 23:02:02 +0000
Source: wacom-tools
Source-Version: 0.7.9.3-1

We believe that the bug you reported is fixed in the latest version of
wacom-tools, which is due to be installed in the Debian FTP archive:

wacom-tools_0.7.9.3-1.diff.gz
  to pool/main/w/wacom-tools/wacom-tools_0.7.9.3-1.diff.gz
wacom-tools_0.7.9.3-1.dsc
  to pool/main/w/wacom-tools/wacom-tools_0.7.9.3-1.dsc
wacom-tools_0.7.9.3-1_amd64.deb
  to pool/main/w/wacom-tools/wacom-tools_0.7.9.3-1_amd64.deb
wacom-tools_0.7.9.3.orig.tar.gz
  to pool/main/w/wacom-tools/wacom-tools_0.7.9.3.orig.tar.gz
xserver-xorg-input-wacom_0.7.9.3-1_amd64.deb
  to pool/main/w/wacom-tools/xserver-xorg-input-wacom_0.7.9.3-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 451647@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ron Lee <ron@debian.org> (supplier of updated wacom-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 02 Dec 2007 08:32:45 +1030
Source: wacom-tools
Binary: xserver-xorg-input-wacom wacom-tools wacom-kernel-source
Architecture: source amd64
Version: 0.7.9.3-1
Distribution: unstable
Urgency: low
Maintainer: Ron Lee <ron@debian.org>
Changed-By: Ron Lee <ron@debian.org>
Description: 
 wacom-tools - utilities for Wacom tablet devices
 xserver-xorg-input-wacom - X.Org X server -- Wacom input driver
Closes: 440164 442424 443032 443956 444562 444672 444762 445024 445519 445796 446135 446402 446440 446576 446717 447681 451647
Changes: 
 wacom-tools (0.7.9.3-1) unstable; urgency=low
 .
   * New upstream release, includes support for XOrg 7.3/1.4
     Closes: #442424, #443032
   * Don't overrun padkey_codes[] when iterating through it.  Closes: #447681
   * Move the wacom(4) man page to the xserver-xorg-input-wacom package.
     Closes: #440164
   * Include the new text and translations courtesy of the Smith Review.
     With a big thanks to everyone who contributed to that!
     Closes: #443956, #444562, #444672, #444762, #445024, #445519, #445796
     Closes: #446135, #446402, #446440, #446576, #446717
   * Tidy the debian/copyright file.  Closes: #451647
   * Add Provides: xserver-xorg-input-2 so the next X ABI transition will be
     a bit less painful for people.
   * Update the udev rules for new tablets.  Lower-case the product ids since
     udev appears to be case sensitive doing string compares for hex values.
     Nice one guys.
   * Add a build-dep for pkg-config, it appears to have infected XOrg now too.
Files: 
 3e64389cf09de1af5c30214ec39f0988 705 graphics optional wacom-tools_0.7.9.3-1.dsc
 61b9dbd91030703462bb8673436e4eaf 833429 graphics optional wacom-tools_0.7.9.3.orig.tar.gz
 53beb130298dce37616c2919ac6ee05d 71548 graphics optional wacom-tools_0.7.9.3-1.diff.gz
 20749efc4f540f48663ee3c73d6171b2 152772 utils optional wacom-tools_0.7.9.3-1_amd64.deb
 935df9b3a9966956c45c1f59123e8067 53604 x11 optional xserver-xorg-input-wacom_0.7.9.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHUeczp4BCHGgCHOQRAjwYAJ4t5ldwtRui0oviHBbiwC+/69ea3QCeMHbG
hXfZ6u/asQY6H+LWc1aZBFw=
=IeH5
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 Jun 2008 07:36:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:03:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.